# Release 0.8.15

!!!tip inline end "Need Help?"
    The SuperCowPowers team is happy to give any assistance needed when setting up AWS and SageWorks. So please contact us at [sageworks@supercowpowers.com](mailto:sageworks@supercowpowers.com) or on chat us up on [Discord](https://discord.gg/WHAJuz8sw8) 

The SageWorks framework continues to 'flex' to support different real world use cases when operating a set of production machine learning pipelines.

**Note:** These release notes cover the changes from `0.8.11` to `0.8.15`


### General
The View classes have finished their initial refactoring. The 'read' class `View()` can be constructed either directly or with the `ds/fs.view("display")` methods. See [Views](../api_classes/views.md) for more details. There also a set of classes for constructing views, please see [View Overview](../core_classes/views/overview.md)

### API Changes

- **Table Name attribute**
    
    The `table_name` attribute/property has been replaced with just `table`

	```
	ds.table_name -> ds.table
	fs.table_name -> fs.table
	view.table_name -> view.table
	```
	
### Bug Fixes
**Fixed:** There was a corner case where if you had the following sequence:

- New FeatureSet without a training view
- Created a traiing view (like with `set_training_holdouts()` 
- Immediately query/pull from the FS training view

The corner case was a race-condition where the FeatureSet would not 'know' that a training view was already there and would create a default training view.
 
### Improvements
The log messages that you receive on a plugin validation failure should now be more distinquishable and more informative. They will look like this and in some cases even tell you the line to look at.

```
ERROR Plugin 'MyPlugin' failed validation:
ERROR 	 File: ../sageworks_plugins/web_components/my_plugin.py
ERROR 	 Class: MyPlugin
ERROR 	 Details: my_plugin.py (line 35): Incorrect return type for update_properties (expected list, got Figure)
```
   
### Questions?
<img align="right" src="../../images/scp.png" width="180">

The SuperCowPowers team is happy to anser any questions you may have about AWS and SageWorks. Please contact us at [sageworks@supercowpowers.com](mailto:sageworks@supercowpowers.com) or on chat us up on [Discord](https://discord.gg/WHAJuz8sw8) 


